VULKAN_HPP_NAMESPACE::FlagTraits< ImageUsageFlagBits > Struct Reference

`#include <vulkan.hpp>`

## Public Types

enum

{ allFlags = VkFlags(ImageUsageFlagBits::eTransferSrc) | VkFlags(ImageUsageFlagBits::eTransferDst) | VkFlags(ImageUsageFlagBits::eSampled) | VkFlags(ImageUsageFlagBits::eStorage) | VkFlags(ImageUsageFlagBits::eColorAttachment) | VkFlags(ImageUsageFlagBits::eDepthStencilAttachment) | VkFlags(ImageUsageFlagBits::eTransientAttachment) | VkFlags(ImageUsageFlagBits::eInputAttachment) | VkFlags(ImageUsageFlagBits::eShadingRateImageNV) }

## Detailed Description

Definition at line 23378 of file vulkan.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
allFlags |

Definition at line 23380 of file vulkan.hpp.

{
allFlags = VkFlags(ImageUsageFlagBits::eTransferSrc) | VkFlags(ImageUsageFlagBits::eTransferDst) | VkFlags(ImageUsageFlagBits::eSampled) | VkFlags(ImageUsageFlagBits::eStorage) | VkFlags(ImageUsageFlagBits::eColorAttachment) | VkFlags(ImageUsageFlagBits::eDepthStencilAttachment) | VkFlags(ImageUsageFlagBits::eTransientAttachment) | VkFlags(ImageUsageFlagBits::eInputAttachment) | VkFlags(ImageUsageFlagBits::eShadingRateImageNV)
};

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ImageUsageFlagBits::eTransferDst
@ eTransferDst
VULKAN_HPP_NAMESPACE::FlagTraits< ImageUsageFlagBits >::allFlags
@ allFlags
Definition: vulkan.hpp:23382
VULKAN_HPP_NAMESPACE::ImageUsageFlagBits::eDepthStencilAttachment
@ eDepthStencilAttachment
VULKAN_HPP_NAMESPACE::ImageUsageFlagBits::eInputAttachment
@ eInputAttachment
VULKAN_HPP_NAMESPACE::ImageUsageFlagBits::eSampled
@ eSampled
VkFlags
uint32_t VkFlags
Definition: vulkan_core.h:64
VULKAN_HPP_NAMESPACE::ImageUsageFlagBits::eColorAttachment
@ eColorAttachment
VULKAN_HPP_NAMESPACE::ImageUsageFlagBits::eShadingRateImageNV
@ eShadingRateImageNV
VULKAN_HPP_NAMESPACE::ImageUsageFlagBits::eTransferSrc
@ eTransferSrc
VULKAN_HPP_NAMESPACE::ImageUsageFlagBits::eTransientAttachment
@ eTransientAttachment
VULKAN_HPP_NAMESPACE::ImageUsageFlagBits::eStorage
@ eStorage